// variables
$lbg1: #ecf0f1;
$lbg2: #fff;
$dbg1: #222;
$dbg2: #666;
$lfg1: #222;
$lfg2: #555;
$dfg1: #fff;
$dfg2: #ddd;
$gray: #888;
$purple: #8e44ad;
$red: #e74c3c;
$green: #27ae60;
$basefont: 14px;
$r: 3px;
// mixins 
@mixin dropshadow($color){
  box-shadow: 1px 1px 2px 0px $color;
}
// Defaults
.bg1{
  background-color: $lbg1;
}
.bg2{
  background-color: $lbg2;
}
.fg1{
  color: $lfg1;
}
.fg2{
  color: $lfg2;
}
html,body{
  height: 100%;
}
body {
  font-size: $basefont;
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',
    'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
*{
  margin: 0;
  padding: 0;
  line-height: 1;
  box-sizing: border-box;
}
.button{
  cursor: pointer;
  background-color: $purple;
  border-radius: 3px;
  padding: 0.8rem 1.2rem;
  color: white;
  font-weight: 600;
  text-align: center;
  margin-top: 0.5rem;
  &:hover{
    @include dropshadow($gray);
  }
}
.container{
  margin: 0px auto;
  width: 400px;
}

.app-title{
  margin-top: 3rem;
}
.section-title{
  padding: 0rem 0rem 0.5rem 0rem;
  border-bottom: 1px solid $gray;
}
input{
  display: block;
  padding: 0.6rem 0.5rem;
  border: 1px solid $gray;
  margin-top: 0.5rem;
  border-radius: $r;
  &:focus, &:active{
    outline: none;
  }
}
.balance-view{
  display: flex;
  margin-top: 2rem;
  align-items: center;
  justify-content: space-between;
  .balance-texts{
    .balance-healine{
      text-transform: uppercase;
    }
    .actual-balance{
      margin-top: 0.5rem;
    }
  }
}

.account-overview{
  padding: 1.1rem;
  border-radius: $r;
  margin-top: 1.5rem;
  @include dropshadow($gray);
  display: flex;
  .overview-content{
    flex: 1 0;
    text-align: center;
    &.first{
      border-right: 1px solid $gray;
    }
    .overview-title{
      text-transform: uppercase;
    }
    .ov-amount{
      margin-top: 0.5rem;
      &.money-in{
        color: $green;
      }
      &.money-out{
        color: $red;
      }
    }
  }
}

.history-container{
  margin-top: 1.5rem;
  .history-item{
    padding: 0.7rem 0.5rem;
    margin-top: 0.5rem;
    @include dropshadow($gray);
    border-radius: $r;
    display: flex;
    .item-purpose{
      flex: 1;
    }
    &.in{
      border-right: 4px solid $green;
    }
    &.out{
      border-right: 4px solid $red;
    }
  }
}

.expense-form{
  margin-top: 1.5rem;
  display: flex;
  flex-direction: column;
  .hint{
    font-size: 0.7rem;
    margin: 0.3rem 0rem 0.5rem 0rem;
  }
}
// Mobile stretch
@media all and (max-width:500px){
  .container{
    width: 90vw;
  }
}
// Dark mode
@media (prefers-color-scheme: dark) {
  .bg1{
    background-color: $dbg1;
  }
  .bg2{
    background-color: $dbg2;
  }
  .fg1{
    color: $dfg1;
  }
  .fg2{
    color: $dfg2;
  }
  input::-webkit-input-placeholder{
    color: #eee;
  }
}